summaryrefslogtreecommitdiff
path: root/emacsen-common/remove
diff options
context:
space:
mode:
Diffstat (limited to 'emacsen-common/remove')
-rw-r--r--emacsen-common/remove38
1 files changed, 38 insertions, 0 deletions
diff --git a/emacsen-common/remove b/emacsen-common/remove
new file mode 100644
index 0000000..8abaf36
--- /dev/null
+++ b/emacsen-common/remove
@@ -0,0 +1,38 @@
+#!/bin/sh
+# /usr/lib/emacsen-common/packages/remove/foo
+set -e
+
+PACKAGE=$DPKG_MAINTSCRIPT_PACKAGE
+VERSION=$(dpkg-query -Wf '${Version}' $PACKAGE)
+UPSTREAM_VERSION=${VERSION%-*}
+ELPA_PACKAGE=${PACKAGE#elpa-}-${UPSTREAM_VERSION}
+
+FLAVOR=$1
+elc_dir=/usr/share/${FLAVOR}/site-lisp/elpa/${ELPA_PACKAGE}
+
+FLAVOR=$1
+case $FLAVOR in
+ emacs)
+ exit 0
+ ;;
+ emacs23)
+ echo remove/${ELPA_PACKAGE}: Skipping obsolete emacs ${FLAVOUR}
+ exit 0
+ ;;
+ xemacs*)
+ echo remove/${ELPA_PACKAGE}: Skipping unsupported emacs ${FLAVOUR}
+ ;;
+ *)
+ echo remove/${ELPA_PACKAGE}: Handling removal of emacsen flavor ${FLAVOR}
+esac
+
+echo emacsen-common: purging byte-compiled files for ${FLAVOR}
+rm -f ${elc_dir}/*.elc
+rm -f ${elc_dir}/*.el
+rm -f ${elc_dir}/Install.log*
+if test -e "${elc_dir}"
+then
+ rmdir --ignore-fail-on-non-empty "${elc_dir}"
+fi
+
+exit 0;